Subject: Re: (radius) Radius for service authentication?

From: "bob_bosen" <[email-masked]>
Date: Tue, 4 Apr 2000 09:15:02 -0700

Bernd:

Yes, software applications can use the RADIUS protocol to ask a convenient
RADIUS server to authenticate the identity of a user requesting use of that
software. You just need to insert RADIUS "client" logic into one or more
appropriate points in your application. Free source code implementing RADIUS
client logic is available on the Internet. Contact me if you need a pointer.

Regards,

-Bob Bosen-
Secure Computing Corporation
-----Original Message-----
From: Bernd Viefhues <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Tuesday, April 04, 2000 7:46 AM
Subject: (radius) Radius for service authentication?

>Hi,
>
>as far as I understand the RFCs, the Radius protocol is designed to provide
>network access authentication. I wonder if it is also possible to use the
Radius
>protocol also for application/service access authorization.
>
>The scenario I am currently dealing with, consists of some access server, a
>Radius server and some application servers. All machines are sitting on the
same
>network. I am looking for a method to authenticate users not only to the
network
>(that works already using the Radius server) but also to the applications
>running on the application servers.
>
>What the applications basically should do when some user tries to connect
to
>them is to verify that this user (identified by a DHCP IP address) is
allowed to
>use the application. Is it feasible to use the existing Radius server to do
>this? How would this usage scenario fit into the Radius protocol? I would
like
>to stick to some standard instead of inventing something own...
>
>Best regards,
>Bernd
>
>--
>Bernd Viefhues                      Phone: +49 2407 575 925
>Ericsson Eurolab Deutschland GmbH   Fax:   +49 2407 575-7893
>52134 Herzogenrath, Germany         [email-masked]
>-
>To unsubscribe, email [email-masked]' with
>'unsubscribe ietf-radius' in the body of the message.

-
To unsubscribe, email [email-masked]' with
'unsubscribe ietf-radius' in the body of the message.